@Echo OFF
Echo Demonstration of Env Class
Set FBSL=C:\Program Files\FBSLv3
:home
If exist "%FBSL%\Fbsl.exe" GoTo :ok
	set /p FBSL=Enter FBSL home[%FBSL%]:
	goto :home	
:ok
Echo -  
Echo - Press ENTER For demonstration of options And simple COMMAND line parameters
Echo -
pause
cls  
@Echo ON
"%FBSL%\Fbsl.exe" envDemo.fbs -a -bB_option_value "-cvalue with blanks" parm1 parm2 parm3 
@Echo OFF
Echo -  
Echo - Press ENTER to compile envDemo.fbs - next demos are with compiled version
Echo -
pause
cls
@Echo ON
"%FBSL%\Fbsl.exe" envDemo.fbs -C
dir envDemo.exe
@Echo OFF
Echo -  
Echo - Press ENTER For demonstration of parameters containing filesets
Echo - 
pause
cls  
@Echo ON
envDemo.exe *.* "------" "%FBSL%\Samples\*\*.fbs" 
@Echo OFF
Echo -  
Echo - Press ENTER For demonstration of escaping parameters evaluation
Echo -
pause
cls 
@Echo ON
envDemo.exe /-a *.fbs "/%FBSL%\Samples\*\*.fbs" 
@Echo OFF
Echo -  
Echo - Press ENTER For demonstration of STDIN redirection
Echo -
pause
cls 
@Echo ON
envDemo.exe -I "<envDemo.fbs" 
@Echo OFF
Echo -  
Echo - Press ENTER For demonstration of STDOUT redirection
Echo -
pause
cls
@Echo ON
envDemo.exe -P "C:\*" ">out.txt" 
type out.txt
@Echo OFF
pause
cls
Echo -  
Echo - Press ENTER For demonstration of appending STDOUT to existing file
Echo -
pause
cls
@Echo ON
envDemo.exe -P "append this" "and this" ">>out.txt" 
type out.txt
@Echo OFF
pause
